<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <parent>
        <groupId>net.ihe.gazelle</groupId>
        <artifactId>gazelle-webservice-tester</artifactId>
        <version>2.0.2-SNAPSHOT</version>
        <relativePath>../pom.xml</relativePath>
    </parent>

    <groupId>net.ihe.gazelle</groupId>
    <artifactId>gazelle-webservice-tester-ear</artifactId>
    <version>2.0.2-SNAPSHOT</version>
    <packaging>ear</packaging>
    <name>gazelle-webservice-tester - EAR</name>

    <dependencies>
        <!-- Application modules -->
        <dependency>
            <groupId>net.ihe.gazelle</groupId>
            <artifactId>gazelle-webservice-tester-war</artifactId>
            <type>war</type>
        </dependency>

        <dependency>
            <groupId>net.ihe.gazelle</groupId>
            <artifactId>gazelle-webservice-tester-ejb</artifactId>
            <type>ejb</type>
        </dependency>

        <dependency>
            <groupId>org.codehaus.groovy</groupId>
            <artifactId>groovy-all</artifactId>
            <version>2.1.7</version>
        </dependency>

        <dependency>
            <groupId>net.ihe.gazelle.simulators</groupId>
            <artifactId>simulator-common-ejb</artifactId>
            <type>ejb</type>
        </dependency>
        <dependency>
            <groupId>net.ihe.gazelle</groupId>
            <artifactId>gazelle-preferences</artifactId>
            <type>ejb</type>
            <scope>compile</scope>

        </dependency>
        <!-- Seam dependencies -->
        <dependency>
            <groupId>org.jboss.seam</groupId>
            <artifactId>jboss-seam</artifactId>
            <version>${version.seam}</version>
            <type>ejb</type>
        </dependency>
        <dependency>
            <groupId>org.jboss.seam</groupId>
            <artifactId>jboss-seam-remoting</artifactId>
        </dependency>
        <dependency>
            <groupId>net.ihe.gazelle.maven</groupId>
            <artifactId>gazelle-seam-tools-jar</artifactId>
            <type>ejb</type>
        </dependency>
        <dependency>
            <groupId>com.google.gwt</groupId>
            <artifactId>gwt-servlet</artifactId>
        </dependency>
        <dependency>
            <groupId>net.ihe.gazelle.cdk</groupId>
            <artifactId>cdk-tags</artifactId>
            <version>1.0.7</version>
        </dependency>
        <dependency>
            <groupId>com.google.gwt</groupId>
            <artifactId>gwt-user</artifactId>
        </dependency>
        <dependency>
            <groupId>org.jboss.seam</groupId>
            <artifactId>jboss-seam-ui</artifactId>
        </dependency>
        <dependency>
            <groupId>org.jboss.seam</groupId>
            <artifactId>jboss-seam-mail</artifactId>
        </dependency>
        <dependency>
            <groupId>org.jboss.seam</groupId>
            <artifactId>jboss-seam-debug</artifactId>
        </dependency>
        <dependency>
            <groupId>org.jboss.seam</groupId>
            <artifactId>jboss-seam-pdf</artifactId>
        </dependency>
        <dependency>
            <groupId>org.jboss.seam</groupId>
            <artifactId>jboss-seam-excel</artifactId>
        </dependency>
        <dependency>
            <groupId>org.richfaces.ui</groupId>
            <artifactId>richfaces-components-ui</artifactId>
        </dependency>
        <dependency>
            <groupId>org.richfaces.core</groupId>
            <artifactId>richfaces-core-impl</artifactId>
        </dependency>
        <dependency>
            <groupId>com.sun.faces</groupId>
            <artifactId>jsf-impl</artifactId>
        </dependency>

        <dependency>
            <groupId>junit</groupId>
            <artifactId>junit</artifactId>
            <version>3.8.1</version>
            <scope>compile</scope>
        </dependency>
    </dependencies>

    <build>

        <resources>
            <resource>
                <filtering>true</filtering>
                <directory>src/main/application</directory>
            </resource>
        </resources>

        <plugins>
            <plugin>
                <artifactId>maven-ear-plugin</artifactId>
                <configuration>
                    <finalName>gazelle-webservice-tester</finalName>
                    <filtering>true</filtering>
                    <version>6</version>
                    <includeLibInApplicationXml>false</includeLibInApplicationXml>
                    <defaultLibBundleDir>lib</defaultLibBundleDir>
                    <modules>
                        <webModule>
                            <groupId>net.ihe.gazelle</groupId>
                            <artifactId>gazelle-webservice-tester-war</artifactId>
                            <contextRoot>gazelle-webservice-tester</contextRoot>
                            <uri>gazelle-webservice-tester-war.war</uri>
                        </webModule>

                        <ejbModule>
                            <groupId>org.jboss.seam</groupId>
                            <artifactId>jboss-seam</artifactId>
                            <uri>jboss-seam.jar</uri>
                        </ejbModule>

                        <ejbModule>
                            <groupId>net.ihe.gazelle.simulators</groupId>
                            <artifactId>simulator-common-ejb</artifactId>
                            <uri>simulator-common-ejb.jar</uri>
                        </ejbModule>

                        <ejbModule>
                            <groupId>net.ihe.gazelle</groupId>
                            <artifactId>gazelle-webservice-tester-ejb</artifactId>
                            <uri>gazelle-webservice-tester-ejb.jar</uri>
                        </ejbModule>

                        <ejbModule>
                            <groupId>net.ihe.gazelle.maven</groupId>
                            <artifactId>gazelle-seam-tools-jar</artifactId>
                            <uri>gazelle-seam-tools-jar.jar</uri>
                        </ejbModule>
                        <ejbModule>
                            <groupId>net.ihe.gazelle</groupId>
                            <artifactId>metadata-v7</artifactId>
                            <uri>metadata-v7.jar</uri>
                        </ejbModule>
                    </modules>
                </configuration>
            </plugin>

            <plugin>
                <artifactId>maven-resources-plugin</artifactId>
                <configuration>
                    <outputDirectory>${basedir}/target</outputDirectory>
                </configuration>
            </plugin>
            <plugin>
                <artifactId>maven-assembly-plugin</artifactId>
                <version>2.2.1</version>
                <configuration>
                    <descriptors>
                        <descriptor>src/main/assembly/datasource.xml</descriptor>
                    </descriptors>
                </configuration>
                <executions>
                    <execution>
                        <id>make-assembly</id>
                        <phase>package</phase>
                        <goals>
                            <goal>single</goal>
                        </goals>
                    </execution>
                </executions>
            </plugin>
        </plugins>
    </build>
</project>
